[bell]
color = "#ffffff"
duration = 200

[colors]
draw_bold_text_with_bright_colors = false

[colors.bright]
black = "#565656"
blue = "#49a4f8"
cyan = "#99faf2"
green = "#c0e17d"
magenta = "#a47de9"
red = "#ec5357"
white = "#ffffff"
yellow = "#f9da6a"

[colors.normal]
black = "#2e2e2e"
blue = "#47a0f3"
cyan = "#64dbed"
green = "#abe047"
magenta = "#7b5cb0"
red = "#eb4129"
white = "#e5e9f0"
yellow = "#f6c744"

[colors.primary]
background = "#000000"
foreground = "#fffbf6"

[env]
TERM = "xterm-256color"

[font]
size = 20.0

[font.bold]
style = "Semi-Condensed"

[font.bold_italic]
style = "Semi-Condensed Italic"

[font.italic]
style = "Light Semi-Condensed Italic"

[font.normal]
family = "Iosevka Berkeley"
style = "Light Semi-Condensed"

[hints]
alphabet = "jfkdls;ahgurieowpq"

[[hints.enabled]]
action = "Copy"
regex = "[a-f0-9]{7,}"

[hints.enabled.binding]
key = "H"
mods = "Control|Shift"

[[hints.enabled]]
action = "Copy"
regex = "(magnet:|mailto:|https:|http:|news:|file:|git:|ssh:|ftp:)[^\u0000-\u001F\u007F-<>\"\\s{-}\\^⟨⟩`]+"

[hints.enabled.binding]
key = "U"
mods = "Control|Shift"

[[hints.enabled]]
command = "xdg-open"
post_processing = true
regex = "(magnet:|mailto:|https:|http:|news:|file:|git:|ssh:|ftp:)[^\u0000-\u001F\u007F-<>\"\\s{-}\\^⟨⟩`]+"

[hints.enabled.binding]
key = "L"
mods = "Control|Shift"

[hints.enabled.mouse]
enabled = true
mods = "None"

[[keyboard.bindings]]
action = "ToggleViMode"
key = "Q"
mode = "Vi|~Search"

[[keyboard.bindings]]
action = "Paste"
key = "P"
mode = "Vi|~Search"

[[keyboard.bindings]]
action = "ToggleFullscreen"
key = "Return"
mods = "Alt"

[[keyboard.bindings]]
action = "ToggleFullscreen"
key = "Return"
mods = "Command"

[[keyboard.bindings]]
chars = "\u001B."
key = "Period"
mods = "Command"

[scrolling]
history = 10000
multiplier = 3

[window]
opacity = 0.88
startup_mode = "Windowed"

[window.dimensions]
columns = 106
lines = 24

[window.padding]
x = 3
y = 3
